// ;-*-C++-*- *  Time-stamp: "2008-07-28 04:03:37 hmmr"
/*--------------------------------------------------------------------------
   Author: Thomas Nowotny

   Institute: Institute for Nonlinear Dynamics
	      University of California San Diego
	      La Jolla, CA 92093-0402

   email to:  tnowotny@ucsd.edu

   initial version: 2002-02-27

--------------------------------------------------------------------------*/


#include "CN_NeuronInputMultifire.h"


double&
CN_NeuronInputMultifire::E()
{
	double	red_tx,
		difft;

	if (x[0] != t_last) {  // what is x[0] here??
		theE= Vrst();
		if (fno > 0) {
			red_tx = x[0] - ((int) (x[0] / period())) * period();
			for ( int i= 0; i < fno; i++ )
      {
	if (((red_tx >= tb[i]) && (red_tx < te[i]))
	    || ((te[i] < tb[i]) && ((red_tx > tb[i]) || (red_tx < te[i]))))
	{
	  if ((te[i] < tb[i]) && (red_tx < te[i]))
	    red_tx+= p[4];
	  red_tx= red_tx - tb[i];
	  difft= red_tx - ((int) (red_tx/p[1]))*p[1];
	  if (difft <= p[0]) theE= p[3];
	}
      }
    }
    t_last= x[0];
  }
  return theE;
}

// EOF
