// ;-*-C++-*- *  Time-stamp: "2008-07-30 12:28:01 hmmr"
/*--------------------------------------------------------------------------
   Author: Thomas Nowotny

   Institute: Institute for Nonlinear Dynamics
	      University of California San Diego
	      La Jolla, CA 92093-0402

   email to:  tnowotny@ucsd.edu

   initial version: 2005-08-17

--------------------------------------------------------------------------*/

#include "CN_DCInput.h"

DCInput:: DCInput(neuron *target, double inI):
  synapse((neuron *) NULL, target, DCIVARNO, DCPNO, DCINPUT)
{
  p[0]= inI;               // injected current
}


DCInput::~DCInput()
{
}

void DCInput::set_I(double inI)
{
  p[0]= inI;
}

double DCInput::Isyn(double *x)
{
  return p[0];
}
